org.tmatesoft.svn.core.auth

## Interface ISVNAuthenticationManagerExt

All Superinterfaces:
  ISVNAuthenticationManager

    public interface ISVNAuthenticationManagerExt
    extends ISVNAuthenticationManager

Since:
  1.7
Version:
  1.7
Author:
  TMate Software Ltd.

### Field Summary

### Fields inherited from interface org.tmatesoft.svn.core.auth.ISVNAuthenticationManager

`PASSWORD, SSH, SSL, USERNAME`

### Method Summary

Methods
`void` `acknowledgeAuthentication(boolean accepted, java.lang.String kind, java.lang.String realm, SVNErrorMessage errorMessage, SVNAuthentication authentication, SVNURL accessedLocation)`
`void` `acknowledgeConnectionSuccessful(SVNURL url)`

### Methods inherited from interface org.tmatesoft.svn.core.auth.ISVNAuthenticationManager

`acknowledgeAuthentication, acknowledgeTrustManager, getConnectTimeout, getFirstAuthentication, getNextAuthentication, getProxyManager, getReadTimeout, getTrustManager, isAuthenticationForced, setAuthenticationProvider`

### Method Detail

#### acknowledgeConnectionSuccessful

    void acknowledgeConnectionSuccessful(SVNURL url)

#### acknowledgeAuthentication

    void acknowledgeAuthentication(boolean accepted,
                                 java.lang.String kind,
                                 java.lang.String realm,
                                 SVNErrorMessage errorMessage,
                                 SVNAuthentication authentication,
                                 SVNURL accessedLocation)
                                   throws SVNException

Throws:
  `SVNException`